Subject: Re: bug#28331: [gnus] Articles loose read status on expiry

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 11 Apr 2018 23:48:18 +0200

Nikolaus Rath <[email-masked]> writes:

> When marking an article as read and for expiry, and the expiry target is
> another group, the article ends up being unread again in the target
> group.
>
> An easy fix is to take `gnus-summary-expire-articles' out of
> `gnus-summary-prepare-exit-hook', and instead call it explicitly in
> `gnus-summary-exit' at a later point.
>
> However, this results in the article not just being marked read in the
> target group (as intended), but also still marked for expiry (not
> good). I could not figure out how to change that.
>
> I've observed this with the nnimap backend.

I don't use expiry targets, but this sounds like the right solution
(only that the expiry mark should be filtered out).  Could you post the
patch of what you have and I can take a whack at doing the filtering?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no